<?php
if (session_status() == PHP_SESSION_NONE) session_start();
// ตรวจสอบการส่งคำร้องขอแบบ POST
if ($_SERVER["REQUEST_METHOD"] == "POST") {
    // ตรวจสอบว่ามีค่า CSRF token ที่ถูกส่งมาจาก header หรือ input หรือไม่
    $csrf_token = isset($_SERVER['HTTP_CSRFTOKEN']) ? $_SERVER['HTTP_CSRFTOKEN'] : (isset($_POST['CSRFToken']) ? $_POST['CSRFToken'] : '');

    // เปรียบเทียบ CSRF token ที่ถูกส่งมากับ CSRF token ที่เก็บไว้ใน session
    if (!isset($_SESSION['CSRFToken']) || $csrf_token !== $_SESSION['CSRFToken']) {
        die("Invalid or missing CSRF token" . $csrf_token . " == " . $_SESSION['CSRFToken']);
    }
    // After using it, delete it.
    unset($_SESSION['CSRFToken']);
}
