<?php
require_once 'function_gdata.php';
// $dataset = qry_data($pdo,array());
// $query0 = "SELECT province, count(province) as total
//           FROM tbcdb
// 		  WHERE province = 'กรุงเทพมหานคร'
//           GROUP BY province";
$query1 = qry_data($pdo,array(
  'fields'=>array(
    'province'=>'province',
    'total'=> 'count(id)',
  ),
  'table'=>'tbcdb',
  'where'=>array(
    array("province","=","'กรุงเทพมหานคร'"),
  ),
  'condition'=>array(
    'group by province',
  ),
));
// var_dump($query1);
// exit;
foreach ($query1 as $key => $value) {
  $dataset['bkkp'] = $value['province'];
  $dataset['bkkc'] = $value['total'];
}

// var_dump($dataset);
// exit;

// $query2 = "SELECT province, count(province) as total
//           FROM tbcdb
// 		  where province <> 'กรุงเทพมหานคร'
//           GROUP BY province
//           ORDER BY total DESC";

$query2 = qry_data($pdo,array(
  'fields'=>array(
    'province'=>'province',
    'total'=> 'count(province)',
  ),
  'table'=>'tbcdb',
  'where'=>array(
    array("province","<>","'กรุงเทพมหานคร'"),
  ),
  'condition'=>array(
    'group by province',
    'order by total desc',
  ),
));
// var_dump($query2);
foreach ($query2 as $key => $value) {
  if ($value['total'] != 0) {
    $dataset['data'][] = $value['total'];
    $dataset['labels'][] = $value['province'];
    // Generate random color for each province
    $dataset['backgroundColors'][] = 'rgba(' . rand(0, 255) . ',' . rand(0, 255) . ',' . rand(0, 255) . ',0.2)';
  }
}
$dataset['type']='bar';
// var_dump($dataset);
// exit;

$sum=0;
// $sum = array_sum($data); $sum=$sum+$bkkc;
$sum = array_sum($dataset['data']); $sum=$sum+$dataset['bkkc'];
$pdo=NULL;
?>
<center>
<div style="width: 100%;">
	<center><h4>กราฟสรุปรายงานจำนวนเรื่องร้องเรียนร้องทุกข์ แยกตามจังหวัด</h4></center>
	<canvas id="myChart"></canvas>
</div>

<script src="../views/js/chart.js" ></script>
<script>
	var ctx = document.getElementById('myChart').getContext('2d');
	var myChart = new Chart(ctx, {
		type: '<?php echo $dataset['type']; ?>',
		data: {
			labels: <?php echo json_encode($dataset['labels']); ?>,
			datasets: [{
				label: 'จำนวนเรื่องร้องเรียนร้องทุกข์',
				data: <?php echo json_encode($dataset['data']); ?>,
				backgroundColor: <?php echo json_encode($dataset['backgroundColors']); ?>,
				borderColor: <?php echo json_encode($dataset['backgroundColors']); ?>,
				borderWidth: 1
			}]
		},
		options: {
		<?php if ($_SESSION['role']<>2)  { ?>
//		indexAxis: 'y',
		<?php } ?>
			responsive: true,
			maintainAspectRatio: true,
		/*	plugins: {
			  title: {
				display: true,
				text: '',
					   }},*/
			scales: {
				y: {
					beginAtZero: true,
					ticks: {
						precision: 0
					}
				}
			}
		}
	});
</script>

<div id="screen"  style="width: 90%;">
	<form action='../process/report.php' method='get' target='_blank' >
	  <i class="fas fa-list">&nbsp</i>
      <input type="submit" value="ตารางสรุปรายงานจำนวนเรื่องร้องเรียนร้องทุกข์ แยกตามจังหวัด (พิมพ์รายงาน)" >
    </form>
<?php
echo "<table border=2 class='table table-striped' >
        <tr>
            <th>จังหวัดที่ร้องเรียนร้องทุกข์ (Province)</th>
            <th class='not' style='text-align:right'>จำนวน (Amount)</th>
        </tr>

		<tr><td>".$dataset['bkkp']." (ไม่แสดงผลในกราฟแท่ง)</td><td align='right'>" . number_format($dataset['bkkc'], 0) . "</td></tr>";
foreach ($dataset['data'] as $key => $total) {

	if ($total <> 0) {
		if ($dataset['labels'][$key]==NULL) {
			echo "<tr><td>(ไม่ระบุจังหวัด)</td><td align='right'>" . number_format($total, 0) . "</td></tr>";
		} else {
			echo "<tr><td>".$dataset['labels'][$key]."</td><td align='right'>" . number_format($total, 0) . "</td></tr>";
		}
	}
}
echo "<tr><th>จำนวนเรื่องร้องเรียนร้องทุกข์ ทุกจังหวัด</th><th class='not' style='text-align:right'>" . number_format($sum, 0) . "</th></tr>";
echo "</table>
      </div></center>";
?>