<!DOCTYPE html>
			<html lang="en">
			<head>
				<meta charset="utf-8">
				<meta http-equiv="X-UA-Compatible" content="IE=edge">
				<meta name="viewport" content="width=device-width, initial-scale=1">
				<meta name="keywords" content="The PHP Generator CRUDS Operation using PHP/DataTable">
				<meta name="author" content="@TaskS and @Sawit">
				<meta name="description" content="Admin Panel Management">
				<title>Admin Panel</title>
				<link href="../views/css/bootstrap.min.css" rel="stylesheet" >
				<!-- Custom CSS -->
				<link rel="stylesheet" href="../views/css/style.css">
				<link href="../views/css/dataTables.bootstrap.min.css" rel="stylesheet" type="text/css" />
				<link href="../views/css/responsive.dataTables.min.css" rel="stylesheet" type="text/css" />
				<link rel="stylesheet" href="../views/css/all.min.css" >
			</head>
<body>
<?php
		include "connect.php";
		include "function.php";
		$query0 = "SELECT province, count(province) as total 
          FROM tbcdb 
		  where province = 'กรุงเทพมหานคร'
          GROUP BY province";
		$stmt = $pdo->query($query0);
		$row = $stmt->fetch(PDO::FETCH_ASSOC);
		$bkkp =  $row['province'];
		$bkkc =  $row['total'];
		$query = "SELECT province, count(province) as total 
				  FROM tbcdb 
				  where province <> 'กรุงเทพมหานคร'
				  GROUP BY province 
				  ORDER BY total DESC";
		$stmt = $pdo->query($query);
		$data = array();
		$labels = array();
		$backgroundColors = array();
		while ($row = $stmt->fetch(PDO::FETCH_ASSOC)) {
			if ($row['total'] != 0) {
				$data[] = $row['total'];
				$labels[] = $row['province'];
				// Generate random color for each province
				$backgroundColors[] = 'rgba(' . rand(0, 255) . ',' . rand(0, 255) . ',' . rand(0, 255) . ',0.2)';
			}
		}
		$sum = array_sum($data); $sum=$sum+$bkkc;
		$pdo=NULL;
?>

<script>
function printSpecificSection(sectionId) {
    var printContent = document.getElementById(sectionId).innerHTML;
    var originalContent = document.body.innerHTML;

    document.body.innerHTML = printContent;
    window.print();
    document.body.innerHTML = originalContent;
}
</script>
<center>
<div style="margin-top:50px; width:90%;">
<table style='margin-left:auto;margin-right:auto;width:90%; '  >
	<tr><td><center>  <i class="fas fa-print">&nbsp</i><button onclick="printSpecificSection('print-screen')">ส่งรายงานไปเครื่องพิมพ์</button></center></td></tr>
</table>
</div>
<div id="print-screen"  style="width: 90%;">
	<table style='margin-left:auto;margin-right:auto;width:90%; '  >
	<tr><td><center><h5>ตารางสรุปรายงานจำนวนเรื่องร้องเรียนร้องทุกข์ แยกตามจังหวัด</h5></center></td></tr>
	</table>
<?php
echo "<table style='border:1px solid black;margin-left:auto;margin-right:auto;width:90%; ' class='table table-striped' align='center' >
        <tr>
            <th>จังหวัดที่ร้องเรียนร้องทุกข์ (Province)</th>
            <th class='not' style='text-align:right'>จำนวน (Amount)</th>
        </tr>
		<tr><td>$bkkp (ไม่แสดงผลในกราฟแท่ง)</td><td align='right'>" . number_format($bkkc, 0) . "</td></tr>";
foreach ($data as $key => $total) {
	if ($total <> 0) {
		if ($labels[$key]==NULL) {
			echo "<tr><td>(ไม่ระบุจังหวัด)</td><td align='right'>" . number_format($total, 0) . "</td></tr>";
		} else {
			echo "<tr><td>$labels[$key]</td><td align='right'>" . number_format($total, 0) . "</td></tr>";
		}
	}
}
echo "<tr><th>จำนวนเรื่องร้องเรียนร้องทุกข์ ทุกจังหวัด</th><th class='not' style='text-align:right'>" . number_format($sum, 0) . "</th></tr>";
echo "</table>
      </div></center>";
?>
</body>
</html>