<?php
error_reporting(1);
require_once('minify.php');
ob_start('minify_html');
session_start();
if ($_COOKIE["auth"] != mb_substr(md5("admin_in"), 0, 8)) {
	header("location: ./");
}
include("connect.php");
include("data.php");

// ตรวจสอบและเซ็ต CSRF token
if (!isset($_SESSION['CSRFToken'])) {
	$_SESSION['CSRFToken'] = bin2hex(random_bytes(32));
}
?>
<!DOCTYPE html>
<html lang="th">

<head>
	<meta charset="utf-8">
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<meta name="keywords" content="The PHP SCRUDS Operation using PHP/DataTable">
	<meta name="author" content="@TaskS and @Sawit">
	<meta name="description" content="Admin Panel Management">
	<meta http-equiv="X-XSS-Protection" content="1; mode=block">
	<meta http-equiv="X-Content-Type-Options" content="nosniff">
	<meta name="robots" content="none">
	<meta name="referrer" content="strict-origin">
	<meta http-equiv="Content-Security-Policy: default-src 'self'; script-src 'self' 'unsafe-inline'; style-src 'self' 'unsafe-inline'">
	<meta name="CSRFToken" content="<?php echo htmlspecialchars($_SESSION['CSRFToken']); ?>" />
	<title>ระบบเมนู</title>
	<link href="css/bootstrap.min.css" rel="stylesheet">
	<!-- Custom CSS -->
	<link rel="stylesheet" href="css/style.css">
	<link href="css/dataTables.bootstrap.min.css" rel="stylesheet" type="text/css" />
	<link href="css/responsive.dataTables.min.css" rel="stylesheet" type="text/css" />
	<link rel="stylesheet" href="css/all.min.css">

</head>

<body>
	<div class="wrapper">
		<!-- Sidebar Holder -->
		<nav id="sidebar" class="bg-primary">
			<div class="sidebar-header">
				<center>
					<h5>
						<i id="sidebarCollapse" class="fas fa-arrow-circle-left"></i>
						<!--Cdb--> &nbspระบบเมนู<br>
					</h5>
					<strong>
						<!--	Cdb<br>-->
						<i id="sidebarExtend" class="fas fa-arrow-circle-right"></i>
					</strong>
				</center>
			</div>
			<!-- /sidebar-header -->

			<!-- start sidebar -->
			<ul class="list-unstyled components">
				<li class="text-light">
					<a href="home.php" aria-expanded="false">
						<i class="fas fa-home"></i>
						หน้าหลัก (<?php echo $_SESSION['name']; ?>)
					</a>
				</li>

				<?php if ($_SESSION['role'] == 0) { ?>
					<li class="text-light">
						<a href="_genusers.php">
							<i class="fas fa-list"></i> ข้อมูลผู้ใช้ </a>
					</li>
				<?php } ?>

				<li class="text-light">
					<a href="tbcdb.php">
						<i class="fas fa-list"></i> ข้อมูลร้องเรียน </a>
				</li>
				<hr>
				<li class="text-light">
					<a href="../process/gpvinfo.php?type=pie" target='_blank'>
						<i class="fas fa-chart-pie"></i>สรุปตามดำเนินการ
					</a>
				</li>
				<li class="text-light">
					<a href="../process/gpvgeo.php?type=bar" target='_blank'>
						<i class="fas fa-chart-bar"></i>สรุปตามภูมิศาสตร์
					</a>
				</li>
				<hr>
				<li class="text-light"><a href="../process/logout.php"><i class="fas fa-sign-out-alt"></i> ออกจากระบบ</a></li>
			</ul>
			<div class='visit'>
				<p class='text-center text-light'>สารสนเทศร้องเรียนร้องทุกข์<br>&copy; 2008-2028 (By TaskS).</p>
			</div>
		</nav>
		<!-- /end sidebar -->
		<!-- Page Content Holder -->
		<div id="content" class="card dashboard-header">
			<div class="card-body dashboard-body">